SSTableFormat.Type (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format

## Enum SSTableFormat.Type

- java.lang.Object
- - java.lang.Enum<SSTableFormat.Type>
  - - org.apache.cassandra.io.sstable.format.SSTableFormat.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSTableFormat.Type>
  Enclosing interface:
    SSTableFormat

      public static enum SSTableFormat.Type
      extends java.lang.Enum<SSTableFormat.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG`
    `LEGACY`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SSTableFormat` | `info`
    `java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableFormat.Type` | `validate(java.lang.String name)`
    `static SSTableFormat.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSTableFormat.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEGACY

          public static final SSTableFormat.Type LEGACY

    - #### BIG

          public static final SSTableFormat.Type BIG

  - ### Field Detail

    - #### info

          public final SSTableFormat info

    - #### name

          public final java.lang.String name

  - ### Method Detail

    - #### values

          public static SSTableFormat.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSTableFormat.Type c : SSTableFormat.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSTableFormat.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### validate

          public static SSTableFormat.Type validate(java.lang.String name)

Copyright © 2018 The Apache Software Foundation